<?php

/**
 * Subclass for representing a row from the 'user' table.
 *
 * 
 *
 * @package lib.model
 */ 
class User extends BaseUser
{
	/*
	 * This function Save the password in a way than can't be recovered from the 
	 * database to assure that no administratror nor hacker can get the keys
	 */
	public function setPassword($password)
	{
	  $salt = md5(rand(100000, 999999).$this->getNickname().$this->getEmail());
	  $this->setSalt($salt);
	  $this->setSha1Password(sha1($salt.$password));
	}
	public function getCompletName() {	
		return parent::getFirstName()." ".parent::getLastName();
	}
	
	public function __toString() {	
		return $this->getCompletName();
	}
	
	public function getCulture(){
		if($this->getLanguage()){
		  return $this->getLanguage();
		}
		else return "";
	}
  
  public function generatePassword() {
  	$password=substr(md5(rand(100000, 999999)), 0, 6);
  	$this->setPassword($password);
  	return $password;
  }
	
}
