<?php



class PriceMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.PriceMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('price');
		$tMap->setPhpName('Price');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('AMOUNT1', 'Amount1', 'double', CreoleTypes::DOUBLE, false, null);

		$tMap->addColumn('INIT1_AT', 'Init1At', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('AMOUNT2', 'Amount2', 'double', CreoleTypes::DOUBLE, false, null);

		$tMap->addColumn('INIT2_AT', 'Init2At', 'int', CreoleTypes::DATE, false, null);

	} 
} 