<?php
 
class myDateCompareValidator extends sfValidator
{

  public function initialize($context, $parameters = null)
  {
    // initialize parent
    parent::initialize($context, $parameters);
 
    // set defaults
    $this->setParameter('date_error', 'Invalid date');
 
    $this->getParameterHolder()->add($parameters);
 
    return true;
  }
 
  public function execute(&$value, &$error)
  { 
  	//obtain the culture for the operations       
  	$culture = $this->getContext()->getUser()->getCulture();
  	
  	//get the dates and the operator
  	$date=$value;
    $checkDateParam = $this->getParameter('check_date');
    $checkDate = $this->getContext()->getRequest()->getParameter($checkDateParam);
    $operator = $this->getParameter('operator', '==');    // default ==
    $operator = trim($operator, '\'');

    //transform date to the correct culture and obtain the tiem to comapre
    list($d, $m, $y) = sfI18N::getDateForCulture($date, $culture);
    $date = strtotime("$y-$m-$d 00:00");
   	list($d, $m, $y) = sfI18N::getDateForCulture($checkDate, $culture);
  	$checkDate = strtotime("$y-$m-$d 00:00");
    
  	//compare the dates with the operator
    $evalStr = "if ($date $operator $checkDate) { return true; } else { return false; }";
    if ($checkDate && !eval($evalStr)) {
    	$error = $this->getParameter('compare_error');
    	return false;
    }
        
    return true;
  	
  }
}