<?php

/**
 * mail actions.
 *
 * @package    gesport
 * @subpackage mail
 * @author     Diego Cebrián Martínez
 * @version    SVN: $Id: actions.class.php 2692 2006-11-15 21:03:55Z fabien $
 */
class mailActions extends sfActions
{
  /**
   * Executes index action
   *
   */
  public function executeIndex()
  {
    $this->forward('default', 'module');
  }
  public function executeSendPassword()
  {
    $mail = new sfMail();
    $mail->addAddress($this->getRequestParameter('email'));
    $mail->setFrom('Gesport <'.sfConfig::get('app_mail_admin').'>');
    $mail->setSubject('Gesport password recovery');
   
    $mail->setPriority(1);
   
    $mail->addEmbeddedImage(sfConfig::get('sf_web_dir').'/images/gesport_logo.gif', 'CID1', 'Gesport Logo', 'base64', 'image/gif');
   
    $this->mail = $mail;
   
    $this->nickname = $this->getRequest()->getAttribute('nickname');
    $this->password = $this->getRequest()->getAttribute('password');
  }
  
  public function executeCreateUser()
  {
    $mail = new sfMail();
    $mail->addAddress($this->getRequestParameter('email'));
    $mail->setFrom('Gesport <gesport@peacelord>');
    $mail->setSubject('Gesport created user');
   
    $mail->setPriority(1);
   
    $mail->addEmbeddedImage(sfConfig::get('sf_web_dir').'/images/gesport_logo.gif', 'CID1', 'Gesport Logo', 'base64', 'image/gif');
   
    $this->mail = $mail;
   
    $this->nickname = $this->getRequest()->getAttribute('nickname');
    $this->name = $this->getRequest()->getAttribute('name');
    $this->password = $this->getRequest()->getAttribute('password');
  }
	  
}
