<?php



class CompetitionCompetitorMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CompetitionCompetitorMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('competition_competitor');
		$tMap->setPhpName('CompetitionCompetitor');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('COMPETITION_ID', 'CompetitionId', 'int' , CreoleTypes::INTEGER, 'competition', 'ID', true, null);

		$tMap->addForeignPrimaryKey('COMPETITOR_ID', 'CompetitorId', 'int' , CreoleTypes::INTEGER, 'user', 'ID', true, null);

		$tMap->addColumn('VISIBLE', 'Visible', 'boolean', CreoleTypes::BOOLEAN, false, null);

	} 
} 