<?php



class FeedbackTypeMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.FeedbackTypeMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('feedback_type');
		$tMap->setPhpName('FeedbackType');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('GLOBAL_DESCRIPTION', 'GlobalDescription', 'string', CreoleTypes::VARCHAR, false, 250);

		$tMap->addForeignKey('COACH_ID', 'CoachId', 'int', CreoleTypes::INTEGER, 'user', 'ID', false, null);

	} 
} 