<?php



class UnitMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.UnitMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('unit');
		$tMap->setPhpName('Unit');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('SYMBOL', 'Symbol', 'string', CreoleTypes::VARCHAR, false, 25);

		$tMap->addForeignKey('UNIT_TYPE_ID', 'UnitTypeId', 'int', CreoleTypes::INTEGER, 'unit_type', 'ID', false, null);

	} 
} 