<?php


abstract class BaseInscriptionPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'inscription';

	
	const CLASS_DEFAULT = 'lib.model.Inscription';

	
	const NUM_COLUMNS = 16;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID = 'inscription.ID';

	
	const NAME = 'inscription.NAME';

	
	const SURNAME = 'inscription.SURNAME';

	
	const NIF = 'inscription.NIF';

	
	const EMAIL = 'inscription.EMAIL';

	
	const ADDRESS = 'inscription.ADDRESS';

	
	const POSTAL_CODE = 'inscription.POSTAL_CODE';

	
	const CITY = 'inscription.CITY';

	
	const REGION = 'inscription.REGION';

	
	const COUNTRY = 'inscription.COUNTRY';

	
	const CLUB = 'inscription.CLUB';

	
	const PRICE = 'inscription.PRICE';

	
	const PAYED = 'inscription.PAYED';

	
	const TELEPHONE = 'inscription.TELEPHONE';

	
	const CREATED_AT = 'inscription.CREATED_AT';

	
	const EVENT_ID = 'inscription.EVENT_ID';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Name', 'Surname', 'Nif', 'Email', 'Address', 'PostalCode', 'City', 'Region', 'Country', 'Club', 'Price', 'Payed', 'Telephone', 'CreatedAt', 'EventId', ),
		BasePeer::TYPE_COLNAME => array (InscriptionPeer::ID, InscriptionPeer::NAME, InscriptionPeer::SURNAME, InscriptionPeer::NIF, InscriptionPeer::EMAIL, InscriptionPeer::ADDRESS, InscriptionPeer::POSTAL_CODE, InscriptionPeer::CITY, InscriptionPeer::REGION, InscriptionPeer::COUNTRY, InscriptionPeer::CLUB, InscriptionPeer::PRICE, InscriptionPeer::PAYED, InscriptionPeer::TELEPHONE, InscriptionPeer::CREATED_AT, InscriptionPeer::EVENT_ID, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'name', 'surname', 'nif', 'email', 'address', 'postal_code', 'city', 'region', 'country', 'club', 'price', 'payed', 'telephone', 'created_at', 'event_id', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Name' => 1, 'Surname' => 2, 'Nif' => 3, 'Email' => 4, 'Address' => 5, 'PostalCode' => 6, 'City' => 7, 'Region' => 8, 'Country' => 9, 'Club' => 10, 'Price' => 11, 'Payed' => 12, 'Telephone' => 13, 'CreatedAt' => 14, 'EventId' => 15, ),
		BasePeer::TYPE_COLNAME => array (InscriptionPeer::ID => 0, InscriptionPeer::NAME => 1, InscriptionPeer::SURNAME => 2, InscriptionPeer::NIF => 3, InscriptionPeer::EMAIL => 4, InscriptionPeer::ADDRESS => 5, InscriptionPeer::POSTAL_CODE => 6, InscriptionPeer::CITY => 7, InscriptionPeer::REGION => 8, InscriptionPeer::COUNTRY => 9, InscriptionPeer::CLUB => 10, InscriptionPeer::PRICE => 11, InscriptionPeer::PAYED => 12, InscriptionPeer::TELEPHONE => 13, InscriptionPeer::CREATED_AT => 14, InscriptionPeer::EVENT_ID => 15, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'name' => 1, 'surname' => 2, 'nif' => 3, 'email' => 4, 'address' => 5, 'postal_code' => 6, 'city' => 7, 'region' => 8, 'country' => 9, 'club' => 10, 'price' => 11, 'payed' => 12, 'telephone' => 13, 'created_at' => 14, 'event_id' => 15, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/InscriptionMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.InscriptionMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = InscriptionPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(InscriptionPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(InscriptionPeer::ID);

		$criteria->addSelectColumn(InscriptionPeer::NAME);

		$criteria->addSelectColumn(InscriptionPeer::SURNAME);

		$criteria->addSelectColumn(InscriptionPeer::NIF);

		$criteria->addSelectColumn(InscriptionPeer::EMAIL);

		$criteria->addSelectColumn(InscriptionPeer::ADDRESS);

		$criteria->addSelectColumn(InscriptionPeer::POSTAL_CODE);

		$criteria->addSelectColumn(InscriptionPeer::CITY);

		$criteria->addSelectColumn(InscriptionPeer::REGION);

		$criteria->addSelectColumn(InscriptionPeer::COUNTRY);

		$criteria->addSelectColumn(InscriptionPeer::CLUB);

		$criteria->addSelectColumn(InscriptionPeer::PRICE);

		$criteria->addSelectColumn(InscriptionPeer::PAYED);

		$criteria->addSelectColumn(InscriptionPeer::TELEPHONE);

		$criteria->addSelectColumn(InscriptionPeer::CREATED_AT);

		$criteria->addSelectColumn(InscriptionPeer::EVENT_ID);

	}

	const COUNT = 'COUNT(inscription.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT inscription.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(InscriptionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(InscriptionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = InscriptionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = InscriptionPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return InscriptionPeer::populateObjects(InscriptionPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			InscriptionPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = InscriptionPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinEvent(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(InscriptionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(InscriptionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(InscriptionPeer::EVENT_ID, EventPeer::ID);

		$rs = InscriptionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinEvent(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		InscriptionPeer::addSelectColumns($c);
		$startcol = (InscriptionPeer::NUM_COLUMNS - InscriptionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		EventPeer::addSelectColumns($c);

		$c->addJoin(InscriptionPeer::EVENT_ID, EventPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = InscriptionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = EventPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getEvent(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addInscription($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initInscriptions();
				$obj2->addInscription($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(InscriptionPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(InscriptionPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(InscriptionPeer::EVENT_ID, EventPeer::ID);

		$rs = InscriptionPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		InscriptionPeer::addSelectColumns($c);
		$startcol2 = (InscriptionPeer::NUM_COLUMNS - InscriptionPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		EventPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + EventPeer::NUM_COLUMNS;

		$c->addJoin(InscriptionPeer::EVENT_ID, EventPeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = InscriptionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = EventPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getEvent(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addInscription($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initInscriptions();
				$obj2->addInscription($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return InscriptionPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(InscriptionPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(InscriptionPeer::ID);
			$selectCriteria->add(InscriptionPeer::ID, $criteria->remove(InscriptionPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(InscriptionPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(InscriptionPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof Inscription) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(InscriptionPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(Inscription $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(InscriptionPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(InscriptionPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(InscriptionPeer::DATABASE_NAME, InscriptionPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = InscriptionPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(InscriptionPeer::DATABASE_NAME);

		$criteria->add(InscriptionPeer::ID, $pk);


		$v = InscriptionPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(InscriptionPeer::ID, $pks, Criteria::IN);
			$objs = InscriptionPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseInscriptionPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/InscriptionMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.InscriptionMapBuilder');
}
